<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@C190=00</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@C190=3B</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>This cheat has not been fully tested, if you encounter any problems or you've finished the game with no problems please post on the cheat forums</comment>
    <script state="on">
      <action>temp0 =maincpu.md@42A7</action>
      <action>temp1 =maincpu.mb@42AC</action>
    </script>
    <script state="run">
      <action>maincpu.md@42A7=00C0093A|(maincpu.md@42A7 BAND ~00FFFFFF)</action>
      <action>maincpu.mb@42AC=D8</action> <!-- 1st = ld a,($C009), 2nd = ret c -->
    </script>
    <script state="off">
      <action>maincpu.md@42A7=temp0 </action>
      <action>maincpu.mb@42AC=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@C059=FF</action>
    </script>
  </cheat>

  <cheat desc="CPU Energy always = 0">
    <script state="run">
      <action>maincpu.pb@C019=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All CPU Energy Now!">
    <script state="on">
      <action>maincpu.pb@C019=00</action>
    </script>
  </cheat>

  <cheat desc="Ply's hits always set to 250">
    <script state="run">
      <action>maincpu.pb@C061=FA</action>
    </script>
  </cheat>

  <cheat desc="CPU's hits always set to 0">
    <script state="run">
      <action>maincpu.pb@C021=00</action>
    </script>
  </cheat>

  <cheat desc="Set Ply's hits set = 250 Now!">
    <script state="on">
      <action>maincpu.pb@C061=FA</action>
    </script>
  </cheat>

  <cheat desc="Set CPU's hits set to 0 Now!">
    <script state="on">
      <action>maincpu.pb@C021=00</action>
    </script>
  </cheat>

  <cheat desc="Select Player's hits">
    <parameter min="0" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@C061=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Computer's hits">
    <parameter min="0" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@C021=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@C055=00|(maincpu.pb@C055 BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
